> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Список ключей

> Возвращает список доступных ключей



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json get /v0/secrets
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/secrets:
    get:
      tags:
        - secrets
      summary: Список ключей
      description: Возвращает список доступных ключей
      operationId: get_secrets_v0_secrets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationResponse_list_SecretResponse__'
      security:
        - AuthApiKey: []
components:
  schemas:
    PaginationResponse_list_SecretResponse__:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/SecretResponse'
              type: array
            - type: 'null'
          title: Data
        total_items:
          type: integer
          title: Total Items
          default: 0
      type: object
      title: PaginationResponse[list[SecretResponse]]
    SecretResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        user_id:
          type: string
          title: User Id
        secret_type:
          $ref: '#/components/schemas/SecretType'
          default: ssh
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        value:
          type: string
          title: Value
        renter_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Renter Id
      type: object
      required:
        - id
        - user_id
        - name
        - value
      title: SecretResponse
    SecretType:
      type: string
      enum:
        - ssh
      title: SecretType
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.